> ## Documentation Index
> Fetch the complete documentation index at: https://docs.rubic.finance/llms.txt
> Use this file to discover all available pages before exploring further.

# Get transaction status

> You can check the status of your cross-chain transaction by providing the source transaction hash and/or the id received in the /swap response. 

 The statusExtended response includes the transaction status on the destination chain and, if successful, the destination blockchain transaction hash. 

 For decentralized providers, both the source transaction hash and the id are required. For deposit-based providers only the id is required.



## OpenAPI

````yaml https://api-v2.rubic.exchange/api/routes/swagger-json get /api/info/statusExtended
openapi: 3.0.0
info:
  title: Rubic API
  description: The Rubic API description
  version: '1.0'
  contact: {}
servers:
  - url: https://api-v2.rubic.exchange
    description: Production
security: []
tags: []
paths:
  /api/info/statusExtended:
    get:
      tags:
        - Info
      summary: Get transaction status
      description: >-
        You can check the status of your cross-chain transaction by providing
        the source transaction hash and/or the id received in the /swap
        response. 

         The statusExtended response includes the transaction status on the destination chain and, if successful, the destination blockchain transaction hash. 

         For decentralized providers, both the source transaction hash and the id are required. For deposit-based providers only the id is required.
      operationId: InfoController_getStatusExtended
      parameters:
        - name: srcTxHash
          required: false
          in: query
          schema:
            type: string
        - name: id
          required: true
          in: query
          schema:
            type: string
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/StatusResponseDto'
components:
  schemas:
    StatusResponseDto:
      type: object
      properties:
        status:
          type: object
        destinationTxHash:
          type: string
          nullable: true
        destinationNetworkTitle:
          type: string
          nullable: true
        destinationNetworkChainId:
          type: number
          nullable: true
      required:
        - status
        - destinationTxHash
        - destinationNetworkTitle
        - destinationNetworkChainId

````